<?php
/*----------------------------------------------------------*/
/*                                                          */
/* Very simple PHP script to demonstrate how data can be    */
/* supplied to the graph from a server side process.        */
/*                                                          */
/* In reality this script would be extended to dynamically  */
/* acquire the data from a source such as a database.       */
/*                                                          */
/*----------------------------------------------------------*/

print "<!-- Chart Switches -->\n";
print "3D:           true\n";
print "grid:         true\n";
print "axis:         true\n";
print "ylabels:      true\n";
print "outline:      true\n";
print "legend:       true\n";
print "autoscale:    false\n";
print "gradientfill: true\n";

print "<!-- Chart Characteristics -->\n";
print "nCols:            4\n";
print "nRows:            6\n";
print "ndecplaces:       0\n";
print "nSeries:          3\n";
print "chartScale:       10000\n";
print "chartStartY:      0\n";
print "labelOrientation: 0\n";
print "labelsY:          390\n";
print "labelsY_offset:   15\n";
print "bar_spacing:      6\n";
print "barwidth:         20\n";
print "depth3D:          15\n";
print "linkcursor:       hand\n";
print "BackgroundColor:  White\n";
print "barOutlineColor:  black\n";

print "<!-- Grid properties -->\n";
print "gridxpos:    70\n";
print "gridypos:    375\n";
print "vSpace:      30\n";
print "gridStyle:   2\n";
print "gridColor:   50,50,50\n";
print "axisColor:   0,0,255\n";
print "floorColor:  50,50,50\n";
print "gridbgcolor: #EEEEFF\n";
print "gridbgimage:  \n";

print "<!-- Label and popup value properties -->\n";
print "xlabel_font:  Arial,N,12\n";
print "ylabel_font:  Arial,I,10\n";
print "popupfont:    Arial,N,10\n";
print "labelColor:   75,75,125\n";
print "popupbgcolor: 255,255,200\n";
print "popup_pre: $\n";
print "popup_post:  \n";
print "ylabel_pre: $\n";
print "ylabel_post:  \n";
print "thousandseparator: ,\n";

print "<!-- Bar Labels -->\n";
print "label1: Quarter 1\n";
print "label2: Quarter 2\n";
print "label3: Quarter 3\n";
print "label4: Quarter 4\n";

print "<!-- Legend Information -->\n";
print "legendfont:       Arial,N,10\n";
print "legendposition:   285,50\n";
print "legendtitle:      Product Range\n";
print "LegendBackground: 240,240,240\n";
print "LegendBorder:     125,125,125\n";
print "LegendtextColor:  50,50,50\n";

print "<!-- Titles - Main, x and y -->\n";
print "<!--     text|xpos,ypos|Font|Color -->\n";
print "title:  Sales by Quarter|50,25|Arial,BI,18|130,130,180\n";
print "xtitle: Quarter|200,435|Arial,B,16|130,130,180\n";
print "ytitle: Sales Value|5,200|Arial,B,16|130,130,180\n";

print "<!-- Series Data -->\n";
print "<!--    series color|scale|legend label|Link URL|Target Frame -->\n";
print "series1: 199,199,199|left|Product X|./images/productX.gif|X\n";
print "series2: 200,100,100|left|Product Y|./images/productY.gif|Y\n";
print "series3: 100,100,200|left|Product Z|./images/productZ.gif|Z\n";

print "<!-- Target Lines -->\n";
print "<!--          Color|style|value|label|font -->\n";
print "<!-- target1: #990000|4|28000|Break Even|Arial,N,10  -->\n";
print "<!-- target2: #007700|1|55000|Target|Arial,N,10 -->\n";

print "<!-- Free Form Text -->\n";
print "<!--     text|xpos,ypos|Font|Color -->\n";
print "text1: Note :|125,60|Arial,N,12|0,0,175\n";
print "text2: New product range|125,75|Arial,N,12|50,50,50\n";
print "text3: launched during|125,90|Arial,N,12|50,50,50\n";
print "text4: quarter 2.|125,105|Arial,N,12|50,50,50\n";

print "<!-- Images -->\n";
print "<!--      Image URL, x, y -->\n";
print "image1: ./images/productY.gif,375,85\n";
print "image2: ./images/productX.gif,375,110\n";
print "image3: ./images/productZ.gif,375,135\n";

?>