package demo;

import com.japisoft.xmlpad.XMLContainer;
import com.japisoft.xmlpad.action.ActionModel;

import java.awt.*;
import javax.swing.*;

/** Demo using a custom toolbar. This custom toolbar is built with the
    xmlpad.properties file loaded from the classpath. A custom action NewAction is
    also defined
 */
public class Demo extends JFrame {
    public Demo() {
	// Replace default cut action by this one
	ActionModel.replaceActionByName( ActionModel.CUT_ACTION, new ReplaceCutAction() );

	XMLContainer container = new XMLContainer();

	container.getPopupModel().addSeparator();
	container.getToolBarModel().addSeparator();
	container.getTreePopupModel().addSeparator();

	// Add my action for THIS container

	container.getPopupModel().addAction( new NewDocument() );
	container.getToolBarModel().addAction( new NewDocument() );
	container.getTreePopupModel().addAction( new NewDocument() );

	// Remove the default New action for THIS container

	container.getPopupModel().removeAction( ActionModel.getActionByName( ActionModel.NEW_ACTION ) );
	container.getToolBarModel().removeAction( ActionModel.getActionByName( ActionModel.NEW_ACTION ) );
	container.getTreePopupModel().removeAction( ActionModel.getActionByName( ActionModel.NEW_ACTION ) );


	getContentPane().add( container );
	setSize( new Dimension( 550, 400 ) );
	setTitle( "XMLPad action demo" );
	setVisible( true );
    }

    public static void main( String[] args ) {
	new Demo();
    }
}
