package demo;

import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;

import javax.swing.JDesktopPane;
import javax.swing.JFrame;
import javax.swing.JInternalFrame;

import com.japisoft.xmlpad.XMLContainer;

/**
 * Here a demo for using JXMLPad inside internal frame
 * @author (c) 2003 JAPISoft / Alexandre Brillant
 * @version 1.0 */
public class InternalFrame implements WindowListener {

	public void windowActivated(WindowEvent e) {
	}

	public void windowClosed(WindowEvent e) {
	}

	public void windowClosing(WindowEvent e) {
		// Freeing all inner resources
		editor1.dispose();
		editor2.dispose();
	}

	public void windowDeactivated(WindowEvent e) {
	}

	public void windowDeiconified(WindowEvent e) {
	}

	public void windowIconified(WindowEvent e) {
	}

	public void windowOpened(WindowEvent e) {
	}

	public InternalFrame() {
		init();
	}

	private XMLContainer editor1;
	private XMLContainer editor2;

	public void init() {
		JFrame frame = new JFrame();
		frame.addWindowListener( this );
		JDesktopPane dp = new JDesktopPane();

		// Add two inner frame

		JInternalFrame editorFrameOne = new JInternalFrame();
		editorFrameOne.setTitle( "My editor 1" );
		// This constructor avoids XMLContainer for freeing automatically its inner reference
		editor1 = new XMLContainer( false );

		editor1.setText( "<?xml version='1.0'?>\n<test></test>" );
		editorFrameOne.getContentPane().add( editor1 );
		editorFrameOne.setResizable( true );

		JInternalFrame editorFrameTwo = new JInternalFrame();
		editorFrameTwo.setTitle( "My editor 2" );
		//	This constructor avoids XMLContainer for freeing automatically its inner reference
		editor2 = new XMLContainer( false );
		editor2.setText( "<?xml version='1.0'?>\n<test2></test2>" );
		editorFrameTwo.getContentPane().add( editor2 );
		editorFrameTwo.setResizable( true );

		dp.add( editorFrameOne );
		dp.add( editorFrameTwo );

		editorFrameOne.setSize( 200, 200 );
		editorFrameTwo.setSize( 200, 200 );
		
		editorFrameTwo.setLocation( 300, 100 );
		
		editorFrameOne.setVisible( true );
		editorFrameTwo.setVisible( true );
		
		frame.getContentPane().add( dp );
		frame.setSize( 400, 400 );

		frame.setVisible( true );
	}

	public static void main( String[] args ) {
		new InternalFrame();
	}

}
