package demo;

import com.japisoft.xmlpad.*;
import com.japisoft.xmlpad.action.*;

import java.awt.*;
import javax.swing.*;

/** Here a demo transforming JXMLPad in a minimal JSP 1.2 editor */
public class Demo extends JFrame {
	public Demo() {
		// Remove the real time text / tree ?
		//XMLPadProperties.setProperty( "tree", "false" );

		XMLContainer container = new XMLContainer();

		// Replace the default New action by this one.
		ActionModel.replaceActionByName(
			ActionModel.NEW_ACTION,
			new NewAction());

		// Colorize JSP namespace prefix
		container.setColorForPrefix("jsp", Color.red);
		// Colorize JSP tags
		container.setColorForTag("root", Color.red);
		container.setColorForTag("text", Color.red);
		container.setColorForTag("directive.include", Color.red);
		container.setColorForTag("forward", Color.red);
		container.setColorForTag("getProperty", Color.red);
		container.setColorForTag("plugin", Color.red);
		container.setColorForTag("setProperty", Color.red);
		container.setColorForTag("useBean", Color.red);

		// Default file extension for JSP document
		container.getDocumentInfo().addFileExt("jsp");
		container.getDocumentInfo().setDefaultFileExt("jsp");
		container.getDocumentInfo().setDocumentDescription("JSP 1.2 file");

		// Specify a default DTD
		container.getDocumentInfo().setDefaultDTD("jsp:root", "jsp.dtd");

		// Add a new Action in the default toolBar
		container.getToolBarModel().addSeparator();
		Action a = new InsertUseBeanAction();

		container.getToolBarModel().addAction( a );
		// Add it to the default popup
		container.getPopupModel().addAction( a );

		getContentPane().add(container);
		setSize(new Dimension(550, 400));
		setTitle("XMLPad/JSP simple demo");

		setVisible(true);
	}

	////////////////////////////////////

	/** Define the default content */
	class NewAction extends XMLAction {
		public NewAction() {
			// Get the same icon than the default New action
			super(ActionModel.NEW_ACTION);
		}
		public boolean notifyAction() {
			String def =
				"<?xml version=\"1.0\"?>\n\n<jsp:root xmlns:jsp=\"http://java.sun.com/JSP/Page\" version=\"1.2\">\n\n<html>\n</html>\n</jsp:root>";
			container.setText(def);
			return true;
		}
		public String getName() {
			return ActionModel.NEW_ACTION;
		}
	}

	/** Sample adding a useBean Tag */
	class InsertUseBeanAction extends XMLAction {
		public InsertUseBeanAction() {
			super();
			// For popup menu : It will create a sub-menu
			groupName = "JSP";
		}

		public boolean notifyAction() {
			editor.insertText("<jsp:useBean id=\"\"/>");
			return VALID_ACTION;
		}

		// Default popupModel/menu label
		public String getDefaultLabel() { return "UseBean"; }
	}

	public static void main(String[] args) {
		new Demo();
	}
}
