package demo;

import java.awt.Color;

import javax.swing.JTree;
import javax.swing.tree.DefaultTreeModel;

import com.japisoft.fastparser.swing.SwingNode;
import com.japisoft.xmlpad.bean.XMLEditor;
import com.japisoft.xmlpad.look.*;
import com.japisoft.xmlpad.tree.FastTreeRenderer;

/**
 * Custom Look from Internet explorer XML view
 * @author (c) 2003 JAPISOFT
 */
public class IELook implements Look {

	public void install(JTree tree) {
		FastTreeRenderer renderer = new FastTreeRenderer();
		renderer.setElementIcon( null );
		renderer.setTextIcon( null );
		renderer.setTextColor( Color.blue );
		renderer.setTextFont(tree.getFont());
		tree.setCellRenderer(renderer);
		tree.setModel(
			new DefaultTreeModel(new SwingNode(SwingNode.TAG_NODE, "")));
	}

	/** Change the graphics attributes of this editor */
	public void install(XMLEditor editor) {
		// NEWS

		// Color

		editor.setColorForEntity(Color.blue);
		editor.setColorForComment( Color.GRAY );
		editor.setColorForDeclaration(Color.gray.darker());
		editor.setColorForDocType(Color.blue );
		editor.setColorForLiteral(Color.black);
		editor.setColorForTag(new Color( 222, 38, 18 ) );
		editor.setColorForInvalid(Color.red);
		editor.setColorForText(Color.black);
		editor.setColorForAttribute( new Color( 222, 38, 18 ) );
		editor.setColorForTagDelimiter(Color.green.darker());
		editor.setColorForTagUnderline(Color.gray);
		editor.setColorForAttributeSeparator(Color.blue);
		editor.setColorForTagEnd(Color.black);
		editor.setColorForNameSpace(new Color(222, 38, 18));
		editor.setColorForCDATA(editor.getColorForDeclaration());

		editor.setColorForTagDelimiter( Color.blue );
		editor.setColorForTagEnd( Color.blue );

		editor.setColorForTagBorderLine( Color.gray );

		editor.setCaretColor(Color.black);

		editor.setBackground(Color.white);
		editor.setForeground(Color.black);

		editor.getCaret().setBlinkRate(500);
	}

	public void uninstall(XMLEditor editor) {

	}

}
