package demo;

import com.japisoft.xmlpad.XMLContainer;
import com.japisoft.xmlpad.action.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/** Custom Swing action on the default popup and the default toolbar
    Look at the /samples/actoin/src/demo/Demo file for more complex usage
 */
public class Demo extends JFrame {
    public Demo() {
	XMLContainer container;
	getContentPane().add( container = new XMLContainer() );
	setSize( new Dimension( 550, 400 ) );
	setTitle( "XMLPad simple demo" );

	// Add two Swing actions
	container.getPopupModel().addAction( new MyAction( "Test1" ) );
	container.getToolBarModel().addAction( new MyAction( "Test2" ) );

	// Remove the Format action
	container.getPopupModel().removeAction( ActionModel.getActionByName( ActionModel.FORMAT_ACTION ) );

	setVisible( true );
    }

    class MyAction extends XMLAction {
	public MyAction( String label ) {
	    putValue( Action.NAME, label );
	}
	public boolean notifyAction() {
	    System.out.println( "TEST" );
	    return VALID_ACTION;
	}
    }

    public static void main( String[] args ) {
	new Demo();
    }
}
